<?php
/**
 *
 * @author：llbjj
 * @DateTime：2022/5/7 21:30
 * @Description：
 *
 */

namespace Application\Factory;

use Psr\Container\ContainerInterface;

class ChainFactory implements \Laminas\ServiceManager\Factory\FactoryInterface
{
    /**
     * @inheritDoc
     */
    public function __invoke(ContainerInterface $container, $requestedName, ?array $options = null)
    {
        $defaultDbAdapter = $container->get('dbAdapter');
        return new $requestedName($defaultDbAdapter, $container, $options);
    }
}